> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get client default location handler

> Get the default location handler that is used to redirect traffic from locations that are not used in content delivery and
to deliver content when the user region has not been defined.



## OpenAPI

````yaml /api-reference/services_documented/cdn_reseller_api.yaml get /cdn/admin/default_region
openapi: 3.1.0
info:
  title: Gcore OpenAPI – CDN Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: CDN Reseller Account
    description: Information about CDN product settings in your account.
    x-displayName: Account
  - name: CDN Reseller service
    description: Information about the current state of CDN service in your account.
    x-displayName: CDN service
  - name: CDN Reseller Features
    description: Information about free and paid features available for you account.
    x-displayName: Features
  - name: Balancer
    description: >-
      Balancer allows choosing CDN server locations that will be used for
      content delivery.


      To activate balancer, [set client’s balancer
      settings](/docs/api-reference/cdn-resellers/balancer/set-client-balancer-settings).
    x-displayName: Balancer
  - name: CDN Reseller Origin shielding
    description: >-
      Origin shielding helps protect your origin server from being overloaded
      with requests from multiple CDN servers.

      The option accumulates all CDN server requests at a special server called
      a shield or precache server.


      When shielding is enabled, only one precache server communicates with the
      origin host, not the entire CDN.
    x-displayName: Origin shielding
paths:
  /cdn/admin/default_region:
    get:
      tags:
        - Balancer
      summary: Get client default location handler
      description: >-
        Get the default location handler that is used to redirect traffic from
        locations that are not used in content delivery and

        to deliver content when the user region has not been defined.
      operationId: get-client-default-location-handler
      parameters:
        - $ref: '#/components/parameters/query_client_id_required'
      responses:
        '200':
          $ref: '#/components/responses/DefaultLocationHandler'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    query_client_id_required:
      required: true
      name: client_id
      in: query
      schema:
        type: integer
      description: Client account ID.
  responses:
    DefaultLocationHandler:
      description: Successful.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DefaultLocationHandler'
          examples:
            default:
              $ref: '#/components/examples/DefaultLocationHandler'
    NotFound:
      description: The client is not found.
  schemas:
    DefaultLocationHandler:
      type: object
      properties:
        current_handler:
          allOf:
            - $ref: >-
                #/components/schemas/body_response_balancer_default_handler_CurrentHandler
        possible_handlers:
          allOf:
            - $ref: >-
                #/components/schemas/body_response_balancer_default_handler_PossibleHandlers
    body_response_balancer_default_handler_CurrentHandler:
      type: string
      description: Name of the region used as the default location handler.
    body_response_balancer_default_handler_PossibleHandlers:
      type: array
      items:
        type: string
      description: Names of regions that can be used as the default location handler.
  examples:
    DefaultLocationHandler:
      value:
        current_handler: region1
        possible_handlers:
          - region2
          - region3
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````